Name:   hello-world
Version:    1
Release:    1
Summary:    Most simple RPM package
License:    MIT

%description
This is my first RPM package, which does nothing.

%prep
# We have no source, so nothing to do here

%build
# Here we create a hello world shell script
cat > hello-world.sh <<EOF
#!/usr/bin/bash
echo Hello world
EOF

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 hello-world.sh $RPM_BUILD_ROOT/usr/bin/hello-world.sh

%files
/usr/bin/hello-world.sh

